Skip to main content
GET
Get a program

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

wodup-gym
string

Only used by platform integrations
ID of gym to execute on behalf of

Example:

"gym_123abc"

Path Parameters

id
string
required

ID of program to retrieve

Example:

"p_123abc"

Response

Program

A program at your organization

id
string
required

Program ID

name
string
required

Program name

status
enum<string>
required

Program status. Archived programs are returned as inactive.

Available options:
active,
inactive
access
enum<string>

Program access. athlete is a personal-training program belonging to a single athlete.

Available options:
all_members,
private,
athlete
period
enum<string>

Program period

Available options:
continuous,
fixed,
template